/********************************************************************************
  * @file    PT32x030x_id.h
  * @author  Application development team
  * @version V1.0.0
  * @date    2022/12/29 
  * @brief   This file contains all the functions prototypes for the id firmware 
  *          library
  * @attention
  *
  * ǰĹָ̼, ĿͻṩйƷıϢ,Խʡǵʱ䡣
  * ̼/ͻʹаıϢκ, * Pai-IC κֱӣӻ̷𺦸
  *
  * (C) Ȩ Pai-IC Microelectronics
  *******************************************************************************/

#ifndef PT32X030_ID_H
#define PT32X030_ID_H

#ifdef __cplusplus
extern "C" {
#endif

#include "PT32x030x.h"

/*! function declaration and definition*/
u32 ID_GetCustomerID(void);
u32 ID_GetUID(u8 UID_Number);
u32 ID_GetCID(void);

#ifdef __cplusplus
}
#endif

#endif 


