/********************************************************************************
  * @file    PT32x030x_opa.h
  * @author  Application development team
  * @version V1.0.0
  * @date    2022/12/29 
  * @brief   This file contains all the functions prototypes for the opa firmware 
  *          library
  * @attention
  *
  * ǰĹָ̼, ĿͻṩйƷıϢ,Խʡǵʱ䡣
  * ̼/ͻʹаıϢκ, * Pai-IC κֱӣӻ̷𺦸
  *
  * (C) Ȩ Pai-IC Microelectronics
  *******************************************************************************/

#ifndef PT32x030x_OPA_H
#define PT32x030x_OPA_H

#ifdef __cplusplus
extern "C" {
#endif

#include "PT32x030x.h"

/** @defgroup OPA_Number
* @{ 
*/
#define OPA0   			0
#define OPA1   			1
#define IS_OPA_Number(SEL)               (((SEL) == OPA0) || ((SEL) == OPA1))


/*! function declaration and definition*/
void OPA_Cmd(u32 OPA_Num, FunctionalState NewState);

#ifdef __cplusplus
}
#endif

#endif

