/******************************************************************************
  * @Example PT32x030x_UART
  * @author  ӦÿŶ
  * @version V1.0.0
  * @date    2022/12/29
  * @brief   UARTȴղݣյ֮ᷢͻӭԼյ
  *          
  ******************************************************************************
  * @attention	Ϊ96001λֹͣλżУ
  *							ʹø̣Ҫȷ5ݸMCUMCUյݻش
  *
	* ǰĹָ̼, ĿͻṩйƷıϢ,Խʡǵʱ䡣
  * ̼/ͻʹаıϢκ, * Pai-IC κֱӣ ӻ̷𺦸
  *
  * (C) Ȩ Pai-IC Microelectronics
  *
  *****************************************************************************/
	
#include "PT32x030x.h"

/**
* @brief ʱ
* @param 
* @retval 
*/
void Software_Delay(void)
{
	u8 i, j,x;
	for(i=0; i<200; i++)
		for(j=0; j<200; j++)
			for(x=0; x<20; x++);
}

/**
* @brief UARTĸ
* @param 
* @retval 
*/
void UART_GPIO_Config(void)
{
	/* UARTܽŵĸù */
	GPIO_DigitalRemapConfig(AFIOA, GPIO_Pin_2, AFIO_AF_0,ENABLE);	//PA2 TX0
	GPIO_DigitalRemapConfig(AFIOA, GPIO_Pin_3, AFIO_AF_0,ENABLE);	//PA3 RX0
}

/**
* @brief UARTĹģʽ
* @param 
* @retval 
*/
void UART_Mode_Config(void)
{
	UART_InitTypeDef  UART_InitStruct;

	/*ʼUART0*/
	UART_InitStruct.UART_BaudRate = 9600;
	UART_InitStruct.UART_WordLengthAndParity = UART_WordLengthAndParity_8D;
	UART_InitStruct.UART_StopBitLength = UART_StopBitLength_1;
	UART_InitStruct.UART_ParityMode = UART_ParityMode_Even;
	UART_InitStruct.UART_Receiver=UART_Receiver_Enable;
	UART_InitStruct.UART_LoopbackMode=UART_LoopbackMode_Disable;
	UART_Init(UART0, &UART_InitStruct);

	/*UART0շ*/
	UART_Cmd(UART0, ENABLE);
}

/**
* @brief UART
* @param 
* @retval 
*/
void UART_Driver(void)
{
	UART_GPIO_Config();
	UART_Mode_Config();
}

int main (void)
{
  int i=0	;
  int arry[5]={0};
	UART_Driver();
  printf("ӭʹPT32x030xϵ\r\n");
	while(!(UART0->SR&UART_FLAG_RXHF));
	for(i=0;i<5;i++)
	{
		arry[i]=UART0->DR;
	}

	Software_Delay();
	while(!(UART0->SR&UART_FLAG_TXO));
	for(i=0;i<5;i++)
	{
		printf("յΪ%x\r\n",arry[i]);
		while(!(UART0->SR&UART_FLAG_TXO));
	}
    while(1);
}


#ifdef  USE_FULL_ASSERT
/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(u8* file, u32 line)
{
	/* User can add his own implementation to report the file name and line number,
	   ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */
	printf("Wrong parameters value: file %s on line %d\r\n", file, line);
	/* Infinite loop */
	while (1)
	{
	}
}
#endif


