/********************************************************************************
  * @Example 01 ADC_Single
  * @author  ӦÿŶ
  * @version V1.0.0
  * @date    2022/12/29
  * @brief   ͨʱADCһʱ""ɼADC_IN1(PA1VDDA)ͨĵѹתֵͨڴӡ
  *
  * ******************************************************************************
  * @attention	Ϊ96001ʼλ8λ1λֹͣλżУ
  *             ADCΪ תҶ룬ͨѡADC_IN1(PA1)룬οѹѡVDDA
  *							
  * ǰĹָ̼, ĿͻṩйƷıϢ,Խʡǵʱ䡣
  * ̼/ͻʹаıϢκ, * Pai-IC κֱӣ ӻ̷𺦸
  *
  * (C) Ȩ Pai-IC Microelectronics
  *****************************************************************************/


#include "PT32x030x.h"

/**
* @brief ʱ
* @param 
* @retval 
*/
void Software_Delay(void)
{
	u8 i, j,x;
	for(i=0; i<200; i++)
		for(j=0; j<200; j++)
			for(x=0; x<50; x++);
}

/**
* @brief ADCĸ
* @param 
* @retval 
*/
void ADC_GPIO_Config(void)
{
	GPIO_AnalogRemapConfig(AFIOA, GPIO_Pin_1, ENABLE);//PA1Ӧģ⹦ADC_IN1
}

/**
* @brief ADCĹģʽ
* @param 
* @retval 
*/
void ADC_Mode_Config(void)
{
	ADC_InitTypeDef ADC_InitStruct;
	ADC_StructInit(&ADC_InitStruct);

	ADC_InitStruct.ADC_Prescaler = 3;//2-128
	ADC_InitStruct.ADC_Mode = ADC_Mode_Continuous;//תģʽ:ת
	ADC_InitStruct.ADC_TriggerSource = ADC_TriggerSource_Software;//Դѡ/ʱ/ⲿܽش
	ADC_InitStruct.ADC_TimerTriggerSource = ADC_TimerTriggerSource_TIM1ADC;//ʱԴѡ
	ADC_InitStruct.ADC_ExternalPinTriggerSource = ADC_ExternalPinTriggerSource_ADCETR;//ⲿܽشԴѡ
	ADC_InitStruct.ADC_Align = ADC_Align_Right;//Ҷ
	ADC_InitStruct.ADC_Channel = ADC_Channel_1;//ͨѡADC_IN1--PA1
	ADC_InitStruct.ADC_BGVoltage = ADC_BGVoltage_BG1v2;//ģͨѹѡ
	ADC_InitStruct.ADC_VoltageReferencePositive = ADC_VoltageReferencePositive_VDDA;//οѹѡ

	ADC_Init(ADC,&ADC_InitStruct);
	ADC_SampleTimeConfig(ADC,4);//ADCĲʱ
	ADC_Cmd(ADC,ENABLE);//ADCģʹ
	while(!ADC_GetFlagStatus(ADC, ADC_FLAG_RDY));		//ȴADC
}

/**
* @brief ADC
* @param 
* @retval 
*/
void ADC_Driver(void)
{
	ADC_GPIO_Config();
	ADC_Mode_Config();
}

/**
* @brief UARTĸ
* @param 
* @retval 
*/
void UART_GPIO_Config(void)
{
	/* UARTܽŵĸù */
	GPIO_DigitalRemapConfig(AFIOA, GPIO_Pin_2, AFIO_AF_0,ENABLE);	//PA2 TX0
	GPIO_DigitalRemapConfig(AFIOA, GPIO_Pin_3, AFIO_AF_0,ENABLE);	//PA3 RX0
}

/**
* @brief UARTĹģʽ
* @param 
* @retval 
*/
void UART_Mode_Config(void)
{
	UART_InitTypeDef  UART_InitStruct;

	/*ʼUART0*/
	UART_InitStruct.UART_BaudRate = 9600;
	UART_InitStruct.UART_WordLengthAndParity = UART_WordLengthAndParity_8D;
	UART_InitStruct.UART_StopBitLength = UART_StopBitLength_1;
	UART_InitStruct.UART_ParityMode = UART_ParityMode_Even;
	UART_InitStruct.UART_Receiver=UART_Receiver_Enable;
	UART_InitStruct.UART_LoopbackMode=UART_LoopbackMode_Disable;
	UART_Init(UART0, &UART_InitStruct);

	/*UART0շ*/
	UART_Cmd(UART0, ENABLE);
}

/**
* @brief UART
* @param 
* @retval 
*/
void UART_Driver(void)
{
	UART_GPIO_Config();
	UART_Mode_Config();
}

u16 ADC_Value = 0;
int main()
{
	/**/
	UART_Driver();
	/*ADC*/
	ADC_Driver();
	
	ADC_StartOfConversion(ADC);					//SOCλ1ԴһADCת
	while(1)
	{
		Software_Delay();
		while(!ADC_GetFlagStatus(ADC, ADC_FLAG_EOC));		//ȴADCת
		ADC_Value = ADC_GetConversionValue(ADC);			//ȡ
		printf("ADC Value:%d\r\n",ADC_Value);

	}
}

#ifdef  USE_FULL_ASSERT
/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(u8* file, u32 line)
{
	/* User can add his own implementation to report the file name and line number,
	   ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */
	printf("Wrong parameters value: file %s on line %d\r\n", file, line);
	/* Infinite loop */
	while (1)
	{
	}
}
#endif


