 /******************************************************************************
  * @file    PT32x030x_it.h
  * @author  ӦÿŶ
  * @version V1.0.0
  * @date    2022/12/29
  * @brief    This file contains all the functions prototypes for the IT firmware library.
  *          
  ******************************************************************************
  * @attention
  *
  *
  *****************************************************************************/

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef PT32x030x_it_H
#define PT32x030x_it_H

#ifdef __cplusplus
 extern "C" {
#endif 

/* Includes ------------------------------------------------------------------*/
#include "PT32x030x.h"
/* Exported types ------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------*/
/* Exported macro ------------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */

void NMI_Handler(void);
void HardFault_Handler(void);
void SVC_Handler(void);
void PendSV_Handler(void);
void SysTick_Handler(void);
void CLKFAILL_Handler(void);
void IFMC_Handler(void);
void DMA_Handler(void);
void EXTIA_Handler(void);
void EXTIB_Handler(void);
void EXTIC_Handler(void);
void EXTIF_Handler(void);
void CMP0_Handler(void);
void CMP1_Handler(void);
void CMP2_Handler(void);
void ADC_Handler(void);
void TIM1_Handler(void);
void TIM4_Handler(void);
void TIM3_Handler(void);
void TIM2_Handler(void);
void ALU_Handler(void);
void PVD_Handler(void);
void I2C0_Handler(void);
void I2C1_Handler(void);
void SPI0_Handler(void);
void SPI1_Handler(void);
void UART0_Handler(void);
void UART1_Handler(void);
void TIM5_Handler(void);
void TIM6_Handler(void);
void TIM7_Handler(void);


/**
  * @}
  */


#ifdef __cplusplus
}
#endif

#endif

