/******************************************************************************
  * @Example PT32x030x_PVD
  * @author  ӦÿŶ
  * @version V1.0.0
  * @date    2022/12/29
  * @brief   	ⲿԴ<=3.5VʱԴ͵ѹ¼"PVD"жϡλԶ־PB0LEDƵ
  *						ֱԴ>=3.6VPVD˳жϣPB0LEDϨ
  *          
  ******************************************************************************
  * @attention	
  *			ʹø̣
  *			HIGH_LVDжӲԶж⴦񣬿ڽPVDжϺʧLVDжϣٽʹ
  *			PVDֵΪ2.0V1.7VʱPVDֻܹλܹжϡ
	*
	* ǰĹָ̼, ĿͻṩйƷıϢ,Խʡǵʱ䡣
  * ̼/ͻʹаıϢκ, * Pai-IC κֱӣ ӻ̷𺦸
  *
  * (C) Ȩ Pai-IC Microelectronics
	*
  *****************************************************************************/
	
#include "PT32x030x.h"

extern u8 PVD_IntFlag;
/**
* @brief LEDGPIO
* @param 
* @retval 
*/
void LED_Driver(void)
{
	GPIO_InitTypeDef GPIO_InitStructure;	//һGPIO_InitTypeDef͵Ľṹ
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_0;	//ѡҪƵGPIO
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OutPP;		//ģʽΪͨ
	GPIO_InitStructure.GPIO_Pull = GPIO_Pull_Up;	//
	GPIO_Init(GPIOB, &GPIO_InitStructure);	//ÿ⺯ʼGPIO
	GPIO_SetBits(GPIOB, GPIO_Pin_0);			//ÿ⺯GPIO״̬
}

/**
* @brief PVDж
* @param 
* @retval 
*/
void PVD_Int_Driver(void)
{
	RCC_ClearResetFlag(RCC_FLAG_POR);
	RCC_ClearResetFlag(RCC_FLAG_PVDR);
	RCC_ResetConfig(RCC_ResetEnable_PVDLowVoltage,DISABLE);
	
	NVIC_EnableIRQ(PVD_IRQn);
	PWR_PVDLevelConfig(PWR_PVDLevel_6);//PVDֵΪ3.5V
	PWR_PVDCmd(ENABLE);				//PVDʹ
}

int main (void)
{
	LED_Driver();
	PVD_Int_Driver();
	while(1)
	{
		if(PVD_IntFlag)
		{
			PVD_IntFlag=0;
			GPIO_SetBits(GPIOB, GPIO_Pin_0);
		}
	}
}


#ifdef  USE_FULL_ASSERT
/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(u8* file, u32 line)
{
	/* User can add his own implementation to report the file name and line number,
	   ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */
	printf("Wrong parameters value: file %s on line %d\r\n", file, line);
	/* Infinite loop */
	while (1)
	{
	}
}
#endif


