/******************************************************************************
  * @Example PT32x030x_LED
  * @author  ӦÿŶ
  * @version V1.0.0
  * @date    2022/12/29
  * @brief   ͨʱ˸صLED
  *          
  ******************************************************************************
  * @attention	
  *
  * ǰĹָ̼, ĿͻṩйƷıϢ,Խʡǵʱ䡣
  * ̼/ͻʹаıϢκ, * Pai-IC κֱӣ ӻ̷𺦸
  *
  * (C) Ȩ Pai-IC Microelectronics
  *
  *****************************************************************************/
	
#include "PT32x030x.h"
#define		LED_PORT		GPIOB
#define		LED_PIN		  GPIO_Pin_0

#define		LED_OFF()	GPIO_SetBits(LED_PORT, LED_PIN)
#define		LED_ON()	GPIO_ResetBits(LED_PORT, LED_PIN)

/**
* @brief ʱ
* @param 
* @retval 
*/
void Software_Delay(void)
{
	u8 i, j,x;
	for(i=0; i<200; i++)
		for(j=0; j<200; j++)
			for(x=0; x<20; x++);
}

/**
* @brief LEDGPIO
* @param 
* @retval 
*/
void LED_Driver(void)
{
	GPIO_InitTypeDef GPIO_InitStructure;				//һGPIO_InitTypeDef͵Ľṹ
	GPIO_InitStructure.GPIO_Pin = LED_PIN;			//ѡҪƵGPIO
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OutPP;		//ģʽΪͨ
	GPIO_InitStructure.GPIO_Pull = GPIO_Pull_NoPull;	//ƫ
	GPIO_Init(LED_PORT, &GPIO_InitStructure);				//ÿ⺯ʼGPIO
	
	GPIO_InitStructure.GPIO_Pin = LED_PIN;			//ѡҪƵGPIO
	GPIO_Init(LED_PORT, &GPIO_InitStructure);				//ÿ⺯ʼGPIO
	
	GPIO_SetBits(LED_PORT, LED_PIN);					//GPIO״̬
}

int main (void)
{
	LED_Driver();
	while(1)
	{
		LED_ON(); 
  	Software_Delay();
		LED_OFF();
		Software_Delay();
	}
	
}


#ifdef  USE_FULL_ASSERT
/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(uint8_t* file, u32 line)
{
	/* User can add his own implementation to report the file name and line number,
	   ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */
	printf("Wrong parameters value: file %s on line %d\r\n", file, line);
	/* Infinite loop */
	while (1)
	{
	}
}
#endif
