/********************************************************************************
  * @Example 04 ADC_SCAN
  * @author  ӦÿŶ
  * @version V1.0.0
  * @date    2022/12/29
  * @brief   ADC"ɨ"ADC_IN0/ADC_IN1/ADC_IN4/ADC_IN5ͨĵѹɨֵͨDMA䵽ADC_Value飬
  *          DMAɺ󴥷DMAжϣADC_Valueͨڴӡ
  *
  * ******************************************************************************
  * @attention	Ϊ96001ʼλ8λ1λֹͣλżУ
  *             ADCΪ תҶ룬룬οѹѡVDDAADCģDMAʹܣɨģʽʹ
  *							
  * ǰĹָ̼, ĿͻṩйƷıϢ,Խʡǵʱ䡣
  * ̼/ͻʹаıϢκ, * Pai-IC κֱӣ ӻ̷𺦸
  *
  * (C) Ȩ Pai-IC Microelectronics
	*
  *****************************************************************************/


#include "PT32x030x.h"

u16 ADC_Value[4] = {0};

/**
* @brief ʱ
* @param 
* @retval 
*/
void Software_Delay(void)
{
	u8 i, j,x;
	for(i=0; i<200; i++)
		for(j=0; j<200; j++)
			for(x=0; x<20; x++);
}

/**
* @brief ADCĸ
* @param 
* @retval 
*/
void ADC_GPIO_Config(void)
{
	GPIO_AnalogRemapConfig(AFIOA, GPIO_Pin_0, ENABLE);//PA0Ӧģ⹦ADC_IN0
	GPIO_AnalogRemapConfig(AFIOA, GPIO_Pin_1, ENABLE);//PA1Ӧģ⹦ADC_IN1
	GPIO_AnalogRemapConfig(AFIOA, GPIO_Pin_4, ENABLE);//PA4Ӧģ⹦ADC_IN4
	GPIO_AnalogRemapConfig(AFIOA, GPIO_Pin_5, ENABLE);//PA5Ӧģ⹦ADC_IN5
}

/**
* @brief ADCĹģʽ
* @param 
* @retval 
*/
void ADC_Mode_Config(void)
{
	ADC_InitTypeDef ADC_InitStruct;
	ADC_StructInit(&ADC_InitStruct);

	ADC_InitStruct.ADC_Prescaler = 3;//2-128
	ADC_InitStruct.ADC_Mode = ADC_Mode_Single;//תģʽ:ת/ת
	ADC_InitStruct.ADC_TriggerSource = ADC_TriggerSource_Software;//Դѡ/ʱ/ⲿܽش
	ADC_InitStruct.ADC_TimerTriggerSource = ADC_TimerTriggerSource_TIM1ADC;//ʱԴѡ
	ADC_InitStruct.ADC_ExternalPinTriggerSource = ADC_ExternalPinTriggerSource_ADCETR;//ⲿܽشԴѡ
	ADC_InitStruct.ADC_Align = ADC_Align_Right;//Ҷ
	ADC_InitStruct.ADC_Channel = ADC_Channel_1;//ͨѡ
	ADC_InitStruct.ADC_BGVoltage = ADC_BGVoltage_BG1v2;//ģͨѹѡ
	ADC_InitStruct.ADC_VoltageReferencePositive = ADC_VoltageReferencePositive_VDDA;//οѹѡ

	ADC_Init(ADC,&ADC_InitStruct);
	ADC_SampleTimeConfig(ADC,4);//ADCĲʱ
	ADC_DMACmd(ADC,ENABLE);//ADCģDMAʹ

	ADC_ScanChannelConfig(ADC,ADC_Channel_0,0);//ADCɨͨ0ѡADC_Channel_0
	ADC_ScanChannelConfig(ADC,ADC_Channel_1,1);//ADCɨͨ1ѡADC_Channel_1
	ADC_ScanChannelConfig(ADC,ADC_Channel_4,2);//ADCɨͨ2ѡADC_Channel_4
	ADC_ScanChannelConfig(ADC,ADC_Channel_5,3);//ADCɨͨ3ѡADC_Channel_5
	ADC_ScanChannelNumberConfig(ADC,4);//ADCɨͨ4
	ADC_ScanCmd(ADC, ENABLE);//ɨģʽʹ

	ADC_Cmd(ADC,ENABLE);//ADCģʹ
	while(!ADC_GetFlagStatus(ADC, ADC_FLAG_RDY));		//ȴADC
}

/**
* @brief ADC
* @param 
* @retval 
*/
void ADC_Driver(void)
{
	ADC_GPIO_Config();
	ADC_Mode_Config();
}

/**
* @brief UARTĸ
* @param 
* @retval 
*/
void UART_GPIO_Config(void)
{
	/* UARTܽŵĸù */
	GPIO_DigitalRemapConfig(AFIOA, GPIO_Pin_2, AFIO_AF_0,ENABLE);	//PA2 TX0
	GPIO_DigitalRemapConfig(AFIOA, GPIO_Pin_3, AFIO_AF_0,ENABLE);	//PA3 RX0
}

/**
* @brief UARTĹģʽ
* @param 
* @retval 
*/
void UART_Mode_Config(void)
{
	UART_InitTypeDef  UART_InitStruct;

	/*ʼUART0*/
	UART_InitStruct.UART_BaudRate = 9600;
	UART_InitStruct.UART_WordLengthAndParity = UART_WordLengthAndParity_8D;
	UART_InitStruct.UART_StopBitLength = UART_StopBitLength_1;
	UART_InitStruct.UART_ParityMode = UART_ParityMode_Even;
	UART_InitStruct.UART_Receiver=UART_Receiver_Enable;
	UART_InitStruct.UART_LoopbackMode=UART_LoopbackMode_Disable;
	UART_Init(UART0, &UART_InitStruct);

	/*UART0շ*/
	UART_Cmd(UART0, ENABLE);
}

/**
* @brief UART
* @param 
* @retval 
*/
void UART_Driver(void)
{
	UART_GPIO_Config();
	UART_Mode_Config();
}

/**
* @brief DMAģʽ
* @param 
* @retval 
*/
void DMA_Mode_Config(void)
{
	DMA_InitTypeDef DMA_InitStruct;
	NVIC_InitTypeDef NVIC_InitStruct;
	
	DMA_InitStruct.DMA_SourceBaseAddress = (u32)&ADC->DR;       //Դַ
	DMA_InitStruct.DMA_DestinationBaseAddress = (u32)ADC_Value;        //Ŀĵַ
	DMA_InitStruct.DMA_NumberOfData = 4;                         //Ҫݵ
	DMA_InitStruct.DMA_SourceDataSize = DMA_SourceDataSize_Half;           //ԴDMAĴݿ
	DMA_InitStruct.DMA_DestinationDataSize = DMA_DestinationDataSize_Half;           //DMAĿĵصĴݿ
	DMA_InitStruct.DMA_SourceAddressIncrement = DMA_SourceAddressIncrement_Disable;                 //DMAԴַʹ
	DMA_InitStruct.DMA_DestinationAddressIncrement = DMA_DestinationAddressIncrement_Enable;                  //DMAĿĵַ
	DMA_InitStruct.DMA_Direction = DMA_Direction_PeripheralToMemory;         //䷽
  DMA_InitStruct.DMA_CircularMode = DMA_CircularMode_Disable;
    
	DMA_Init(DMA1,&DMA_InitStruct);
	
  DMA_PeripheralConfig(DMA1,DMA_ChannelxPERIPH_ADC);                  //ADC
    
	DMA_ITConfig(DMA_IT_TC1E,ENABLE);                        //DMAͨ1ݴжʹ
	
	NVIC_InitStruct.NVIC_IRQChannel = DMA_IRQn;
	NVIC_InitStruct.NVIC_IRQChannelCmd = ENABLE;
	NVIC_InitStruct.NVIC_IRQChannelPriority = 0x00;
	NVIC_Init(&NVIC_InitStruct);
	
	DMA_Cmd(DMA1,ENABLE);                                    //ʹ
}

/**
* @brief DMAжϷ
* @param 
* @retval 
*/
void DMA_Handler(void)
{
	u8 i = 0;
	if(DMA_GetFlagStatus(DMA_FLAG_TC1F))
	{
		DMA_ClearITFlag(DMA_FLAG_TC1F);
		for(i=0;i<4;i++)
		{
			printf("ADC_Value[%d] = %d\r\n",i,ADC_Value[i]);
		}
    ADC_Cmd(ADC,DISABLE);
		DMA_Cmd(DMA1,DISABLE);
	}
}

int main()
{
	/**/
	UART_Driver();
	/*ADC*/
	ADC_Driver();
	/*DMA*/
	DMA_Mode_Config();
    
  ADC_StartOfConversion(ADC);					//SOCλ1ԴһADCɨ
	while(1)
	{
	}
}

#ifdef  USE_FULL_ASSERT
/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(u8* file, u32 line)
{
	/* User can add his own implementation to report the file name and line number,
	   ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */
	printf("Wrong parameters value: file %s on line %d\r\n", file, line);
	/* Infinite loop */
	while (1)
	{
	}
}
#endif


