/******************************************************************************
  * @Example PT32x030x_BEEP
  * @author  ӦÿŶ
  * @version V1.0.0
  * @date    2022/12/29
  * @brief   ͨPB2378hZҵƵʣ
  *          
  ******************************************************************************
  * @attention	
	*
  * ǰĹָ̼, ĿͻṩйƷıϢ,Խʡǵʱ䡣
  * ̼/ͻʹаıϢκ, * Pai-IC κֱӣ ӻ̷𺦸
  *
  * (C) Ȩ Pai-IC Microelectronics
  *
  *****************************************************************************/
	
#include "PT32x030x.h"
/**
* @brief BEEP
* @param 
* @retval 
*/
void BEEP_GPIO_Config(void)
{
	GPIO_DigitalRemapConfig(AFIOB, GPIO_Pin_2, AFIO_AF_0, ENABLE);	//BEEPֹܸ
}

/**
* @brief BEEPʽ
* @param 
* @retval 
*/
void BEEP_Mode_Config(void)
{
	Beep_InitTypeDef Beep_InitStruct;
	
	/*ʼBEEP*/
	Beep_InitStruct.BEEP_PrescalerValue=10;							
	Beep_InitStruct.BEEP_ClockDivider=BEEP_ClockDivider_8;	
	Beep_Init(&Beep_InitStruct);
	
	/*BEEP*/
	Beep_Cmd(ENABLE);
}

/**
* @brief BEEP
* @param 
* @retval 
*/
void BEEP_Driver(void)
{
	BEEP_GPIO_Config();
	BEEP_Mode_Config();
}

int main (void)
{
	int i;
	BEEP_Driver();
	for(;i<100000;i++);
	Beep_Cmd(DISABLE);
	while(1)
	{
	
	}
}


#ifdef  USE_FULL_ASSERT
/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(u8* file, u32 line)
{
	/* User can add his own implementation to report the file name and line number,
	   ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */
	printf("Wrong parameters value: file %s on line %d\r\n", file, line);
	/* Infinite loop */
	while (1)
	{
	}
}
#endif


