/******************************************************************************
  * @Example PT32x030x_LowPower/01_Tim4_Wake
  * @author  ӦÿŶ
  * @version V1.0.0
  * @date    2022/12/29
  * @brief   ÿ5ҽһ˯ģʽ,ͨڴӡ˯/״̬
  *          
  ******************************************************************************
  * @attention	Ϊ96001λֹͣλżУ
	*			 ʹø̣
  *				0ŷķR6J4ԲоƬ
  *				ʹø̲оƬʱӦþⲿ·Ķ⹦
  *				ʹø̲оƬʱ粻ȥLEDӵR2R3R4⹦
  *				ʹø̲оƬʱ粻ȥUserӵR7R17R18⹦
  *				ʹø̲оƬʱߵӽĹ
  *				ʹ32Khzµ"TIM4"˯ߣ˯ʱ͹Ϊ2.8uA
	*
	* ǰĹָ̼, ĿͻṩйƷıϢ,Խʡǵʱ䡣
  * ̼/ͻʹаıϢκ, * Pai-IC κֱӣ ӻ̷𺦸
  *
  * (C) Ȩ Pai-IC Microelectronics
  *				
  *****************************************************************************/
	
#include "PT32x030x.h"

/**
* @brief ʱ
* @param 
* @retval 
*/
void Software_Delay(void)
{
	u8 i, j,x;
	for(i=0; i<200; i++)
		for(j=0; j<200; j++)
			for(x=0; x<50; x++);
}

/**
* @brief ֹܸ
* @param 
* @retval 
*/
void UART_GPIO_Config(void)
{
	/* UARTܽŵĸù */
	GPIO_DigitalRemapConfig(AFIOA, GPIO_Pin_2, AFIO_AF_0,ENABLE);	//PA2 TX0
	GPIO_DigitalRemapConfig(AFIOA, GPIO_Pin_3, AFIO_AF_0,ENABLE);	//PA3 RX0
}

/**
* @brief ڹʽ
* @param 
* @retval 
*/
void UART_Mode_Config(void)
{
	UART_InitTypeDef  UART_InitStruct;

	/*ʼUART0*/
	UART_InitStruct.UART_BaudRate = 9600;
	UART_InitStruct.UART_WordLengthAndParity = UART_WordLengthAndParity_8D;
	UART_InitStruct.UART_StopBitLength = UART_StopBitLength_1;
	UART_InitStruct.UART_ParityMode = UART_ParityMode_Even;
	UART_InitStruct.UART_Receiver = UART_Receiver_Enable;
	UART_InitStruct.UART_LoopbackMode = UART_LoopbackMode_Disable;
	UART_Init(UART0, &UART_InitStruct);

	/*UART0շ*/
	UART_Cmd(UART0, ENABLE);
}
/**
* @brief 
* @param 
* @retval 
*/
void UART_Driver(void)
{
	UART_GPIO_Config();
	UART_Mode_Config();
}
/**
* @brief TIM4ʽ
* @param 
* @retval 
*/
void Timer4_Mode_Config(void)
{
	TIM_TimeBaseInitTypeDef TimeBaseInit;
	NVIC_InitTypeDef NVIC_InitStruct;

	/*ʹTIMER4NVIC*/
	NVIC_InitStruct.NVIC_IRQChannel = TIM4_IRQn;
	NVIC_InitStruct.NVIC_IRQChannelCmd = ENABLE;
	NVIC_InitStruct.NVIC_IRQChannelPriority = 0x03;
	NVIC_Init(&NVIC_InitStruct);
	
	/* CNTʱ = 32khz/(psc+1)*/
	TimeBaseInit.TIM_Prescaler = 320-1;
	TimeBaseInit.TIM_Direction = TIM_Direction_Down;
	TimeBaseInit.TIM_AutoReload= 1000-1;
	
	TIM_TimeBaseInit(TIM4, &TimeBaseInit);
	TIM_ITConfig(TIM4, TIM_IT_ARI, ENABLE);
	TIM_Cmd(TIM4, ENABLE);
}
/**
* @brief TIM4ʧܺ
* @param 
* @retval 
*/
void Timer4_Disable(void)
{
	TIM_ITConfig(TIM4, TIM_IT_ARI, DISABLE);
	NVIC_DisableIRQ(TIM4_IRQn);	
	TIM_Cmd(TIM4, DISABLE);
}
/**
* @brief TIM4Ѻ
* @param 
* @retval 
*/
void Tim4_Wake_Sleep(void)
{
	GPIO_InitTypeDef GPIO_InitStructure;

	Timer4_Mode_Config();
	printf ("Sleep\r\n");
	Software_Delay();
	UART_Cmd(UART0, DISABLE);
	GPIO_AnalogRemapConfig(AFIOA, GPIO_Pin_All, DISABLE);
	GPIO_AnalogRemapConfig(AFIOB, GPIO_Pin_All, DISABLE);
	GPIO_AnalogRemapConfig(AFIOC, GPIO_Pin_All, DISABLE);
	GPIO_AnalogRemapConfig(AFIOF, GPIO_Pin_All, DISABLE);
	
	GPIO_DigitalRemapConfig(AFIOA, GPIO_Pin_All&(~GPIO_Pin_13)&(~GPIO_Pin_14),AFIO_AF_None,DISABLE);	//SWDӿڲ
	GPIO_DigitalRemapConfig(AFIOB, GPIO_Pin_All,AFIO_AF_None,DISABLE);
	GPIO_DigitalRemapConfig(AFIOC, GPIO_Pin_All,AFIO_AF_None,DISABLE);
	GPIO_DigitalRemapConfig(AFIOF, GPIO_Pin_All,AFIO_AF_None,DISABLE);

	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_All;			//ѡҪƵGPIO
	GPIO_InitStructure.GPIO_Pull = GPIO_Pull_Down;
	GPIO_Init(GPIOA, &GPIO_InitStructure);
	GPIO_Init(GPIOB, &GPIO_InitStructure);
	GPIO_Init(GPIOC, &GPIO_InitStructure);
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_All&(~GPIO_Pin_3);
	GPIO_Init(GPIOF, &GPIO_InitStructure);
	
	PWR_EnterDeepSleepMode(PWR_DeepSleepEntry_WFI);   //˯ߣжϻ

	Timer4_Disable();
	UART_Driver();
	printf ("Wake\r\n");
	Software_Delay();
}

int main (void)
{
	UART_Driver();
	while(1)
	{
		Tim4_Wake_Sleep();
	}
}


#ifdef  USE_FULL_ASSERT
/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(u8* file, u32 line)
{
	/* User can add his own implementation to report the file name and line number,
	   ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */
	printf("Wrong parameters value: file %s on line %d\r\n", file, line);
	/* Infinite loop */
	while (1)
	{
	}
}
#endif


